Bug 847840 - Network printer is not discovered when firewalld is running
Network printer is not discovered when firewalld is running
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 13:44 EDT by cblaauw
Modified: 2013-08-01 08:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:53:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cblaauw 2012-08-13 13:44:32 EDT
Description of problem:

In my firewalld configuration the following services are enabled:

ipp
ipp-client
dhcpb6-client
samba-client
mdns

But when firealld is running, no printer is discovered on the local network. If added the printer is working, even if firewalld is runnning. So the problem is with discovery only.


Version-Release number of selected component (if applicable):
firewalld.noarch                 0.2.5-1.fc17

How reproducible:


Steps to Reproduce:
1. Start firewalld

2. search for printers in system settings
3.
  
Actual results:
No printers found

Expected results:
printers are found, if the needed services (as told by system settings) are enabled.

Additional info:

Maybe there's another service that needs to be enabled in my config?
Comment 1 Jiri Popelka 2012-08-14 06:55:16 EDT
(In reply to comment #0)
> In my firewalld configuration the following services are enabled:
> ipp
> ipp-client
> samba-client
> mdns
> Maybe there's another service that needs to be enabled in my config?

These should be sufficient for the discovery to work.
What's the output of 'firewall-cmd --list=all' ?

> But when firealld is running, no printer is discovered on the local network.

So it works when firewalld is stopped ?
Comment 2 cblaauw 2012-08-14 09:07:51 EDT
Yes, when firewalld is stopped, the printer discovery works.
Comment 3 Thomas Woerner 2012-08-14 09:09:33 EDT
What kind of printer is this? Is it using mdns?
Comment 4 cblaauw 2012-08-15 02:54:04 EDT
Yes, I tried mdns and slp, both did not work. It is an HP OfficeJet 4500.
Comment 5 Thomas Woerner 2012-08-15 05:10:30 EDT
Please open port 5353/udp instead of using mdns. It could be that the printer is using unicast instead of multicast for mdns.
Comment 6 cblaauw 2012-08-15 11:37:21 EDT
The service file /usr/lib/firewalld/services/mdns.xml opens port 5353 for udp. Is something wrong with this?
Comment 7 Thomas Woerner 2012-08-15 11:47:34 EDT
The service opens the port for the multicast address only. If your printer is using unicast instead of multicast, then it does not match.
Comment 8 cblaauw 2012-08-15 13:08:36 EDT
So what do I put in my own service file under /etc then, do enable the unicast port?
Comment 9 Thomas Woerner 2012-08-15 13:18:32 EDT
Copy the file from /usr/lib/firewalld/mdns.xml and remove the destination line.
Comment 10 cblaauw 2012-08-15 13:39:32 EDT
That worked, the printer is now found by system settings. But when searching with hp-setup and method mdns, nothing is found.
Comment 11 Thomas Woerner 2012-08-15 14:01:42 EDT
That might be a result of the unicast use.. it should use multicast.
Comment 12 Thomas Woerner 2012-08-15 14:02:06 EDT
Is that working without a firewall?
Comment 13 cblaauw 2012-08-15 17:29:26 EDT
Yes without firewalld it is working.
Comment 14 Fedora End Of Life 2013-07-04 00:10:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 08:54:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.